VkSurfaceCapabilitiesKHR Struct Reference

`#include <vulkan_core.h>`

Collaboration diagram for VkSurfaceCapabilitiesKHR:
[legend]

## Data Fields

uint32_t | minImageCount
uint32_t | maxImageCount
VkExtent2D | currentExtent
VkExtent2D | minImageExtent
VkExtent2D | maxImageExtent
uint32_t | maxImageArrayLayers
VkSurfaceTransformFlagsKHR | supportedTransforms
VkSurfaceTransformFlagBitsKHR | currentTransform
VkCompositeAlphaFlagsKHR | supportedCompositeAlpha
VkImageUsageFlags | supportedUsageFlags

## Detailed Description

Definition at line 4732 of file vulkan_core.h.

## Field Documentation

## currentExtent

VkExtent2D VkSurfaceCapabilitiesKHR::currentExtent

Definition at line 4735 of file vulkan_core.h.

## currentTransform

VkSurfaceTransformFlagBitsKHR VkSurfaceCapabilitiesKHR::currentTransform

Definition at line 4740 of file vulkan_core.h.

Referenced by createSwapchain().

## maxImageArrayLayers

uint32_t VkSurfaceCapabilitiesKHR::maxImageArrayLayers

Definition at line 4738 of file vulkan_core.h.

## maxImageCount

uint32_t VkSurfaceCapabilitiesKHR::maxImageCount

Definition at line 4734 of file vulkan_core.h.

Referenced by createSwapchain().

## maxImageExtent

VkExtent2D VkSurfaceCapabilitiesKHR::maxImageExtent

Definition at line 4737 of file vulkan_core.h.

## minImageCount

uint32_t VkSurfaceCapabilitiesKHR::minImageCount

Definition at line 4733 of file vulkan_core.h.

Referenced by createSwapchain().

## minImageExtent

VkExtent2D VkSurfaceCapabilitiesKHR::minImageExtent

Definition at line 4736 of file vulkan_core.h.

## supportedCompositeAlpha

VkCompositeAlphaFlagsKHR VkSurfaceCapabilitiesKHR::supportedCompositeAlpha

Definition at line 4741 of file vulkan_core.h.

## supportedTransforms

VkSurfaceTransformFlagsKHR VkSurfaceCapabilitiesKHR::supportedTransforms

Definition at line 4739 of file vulkan_core.h.

## supportedUsageFlags

VkImageUsageFlags VkSurfaceCapabilitiesKHR::supportedUsageFlags

Definition at line 4742 of file vulkan_core.h.

Referenced by getSurfaceCaps().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan_core.h